<template>
    <div class="user-details col-sx-6 col-md-6">
        <p>User Name is: {{name}}</p>
        <p>User Age: {{ userAge }}</p>
        <div style="margin-top:20px; padding-bottom: 10px">
            <button @click="resetName" class="btn btn-primary">Reset name</button>
        </div>
    </div>
</template>
<script>
    export default{
        props: {
            name: {
                type: String,
                required: true
            },
            resetFn: Function,
            userAge: Number
        },
        methods: {
            resetName() {
                this.name = 'Aiba';
                this.$emit('nameWasReset', this.name);
            }
        }

    }
</script>
<style>
    .user-details {
        background-color: aliceblue;
    }
</style>